Index: src/sas/sasgui/perspectives/fitting/basepage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/basepage.py	(revision 313c5c92691602529afcffa8e76988a7cf6397b9)
+++ src/sas/sasgui/perspectives/fitting/basepage.py	(revision c8e19964f2dda929ccae8237e7b140a906cdf134)
@@ -19,5 +19,6 @@
 
 from sas.sasgui.guiframe.panel_base import PanelBase
-from sas.sasgui.guiframe.utils import format_number, check_float, IdList, check_int
+from sas.sasgui.guiframe.utils import format_number, check_float, IdList, \
+    check_int
 from sas.sasgui.guiframe.events import PanelOnFocusEvent
 from sas.sasgui.guiframe.events import StatusEvent
@@ -42,5 +43,5 @@
 _QMAX_DEFAULT = 0.5
 _NPTS_DEFAULT = 50
-#Control panel width
+# Control panel width
 if sys.platform.count("win32") > 0:
     PANEL_WIDTH = 450
@@ -57,7 +58,7 @@
     This class provide general structure of  fitpanel page
     """
-    ## Internal name for the AUI manager
+    # Internal name for the AUI manager
     window_name = "Fit Page"
-    ## Title to appear on top of the window
+    # Title to appear on top of the window
     window_caption = "Fit Page "
 
@@ -75,31 +76,31 @@
         PanelBase.__init__(self, parent)
         self.SetupScrolling()
-        #Set window's font size
+        # Set window's font size
         self.SetWindowVariant(variant=FONT_VARIANT)
         self.SetBackgroundColour(color)
 
         self._ids = iter(self._id_pool)
-        ## parent of the page
+        # parent of the page
         self.parent = parent
-        ## manager is the fitting plugin
-        ## owner of the page (fitting plugin)
+        # manager is the fitting plugin
+        # owner of the page (fitting plugin)
         self.event_owner = None
-        ## current model
+        # current model
         self.model = None
         self.m_name = None
         self.index_model = None
         self.panel = None
-        ## data
+        # data
         self.data = None
-        #list of available data
+        # list of available data
         self.data_list = []
         self.mask = None
         self.uid = wx.NewId()
         self.graph_id = None
-        #Q range for data set
+        # Q range for data set
         self.qmin_data_set = numpy.inf
         self.qmax_data_set = None
         self.npts_data_set = 0
-        ## Q range
+        # Q range
         self.qmin = None
         self.qmax = None
@@ -107,28 +108,28 @@
         self.qmin_x = _QMIN_DEFAULT
         self.npts_x = _NPTS_DEFAULT
-        ## total number of point: float
+        # total number of point: float
         self.npts = None
         self.num_points = None
-        ## smear default
+        # smear default
         self.current_smearer = None
-        ## 2D smear accuracy default
+        # 2D smear accuracy default
         self.smear2d_accuracy = 'Low'
-        ## slit smear:
+        # slit smear:
         self.dxl = None
         self.dxw = None
-        ## pinhole smear
+        # pinhole smear
         self.dx_min = None
         self.dx_max = None
-        ##semar attrbs
+        # smear attrbs
         self.enable_smearer = None
         self.disable_smearer = None
         self.pinhole_smearer = None
         self.slit_smearer = None
-        ##weigth attrbs
+        # weight attrbs
         self.dI_noweight = None
         self.dI_didata = None
         self.dI_sqrdata = None
         self.dI_idata = None
-        ##other attrbs
+        # other attrbs
         self.dq_l = None
         self.dq_r = None
@@ -149,13 +150,13 @@
         self.disp_cb_dict = {}
 
-        #self.state = PageState(parent=parent)
-        ## dictionary containing list of models
+        # self.state = PageState(parent=parent)
+        # dictionary containing list of models
         self.model_list_box = {}
 
-        ## Data member to store the dispersion object created
+        # Data member to store the dispersion object created
         self._disp_obj_dict = {}
-        ## selected parameters to apply dispersion
+        # selected parameters to apply dispersion
         self.disp_cb_dict = {}
-        ## smearer object
+        # smearer object
         self.enable2D = False
         self._has_magnetic = False
@@ -165,21 +166,21 @@
         self.structurebox = None
         self.categorybox = None
-        ##list of model parameters. each item must have same length
-        ## each item related to a given parameters
-        ##[cb state, name, value, "+/-", error of fit, min, max , units]
+        # list of model parameters. each item must have same length
+        # each item related to a given parameters
+        # [cb state, name, value, "+/-", error of fit, min, max , units]
         self.parameters = []
         # non-fittable parameter whose value is astring
         self.str_parameters = []
-        ## list of parameters to fit , must be like self.parameters
+        # list of parameters to fit , must be like self.parameters
         self.param_toFit = []
-        ## list of looking like parameters but with non fittable parameters info
+        # list of looking like parameters but with non fittable parameters info
         self.fixed_param = []
-        ## list of looking like parameters but with  fittable parameters info
+        # list of looking like parameters but with  fittable parameters info
         self.fittable_param = []
-        ##list of dispersion parameters
+        # list of dispersion parameters
         self.disp_list = []
         self.disp_name = ""
 
-        ## list of orientation parameters
+        # list of orientation parameters
         self.orientation_params = []
         self.orientation_params_disp = []
@@ -188,24 +189,24 @@
 #       and this - commenting out on 4/8/2014 by PDB.  Remove once clear
 #       it is pointless.
-#        if self.model != None:
+#        if self.model is not None:
 #            self.disp_list = self.model.getDispParamList()
         self.temp_multi_functional = False
-        ##enable model 2D draw
+        # enable model 2D draw
         self.enable2D = False
-        ## check that the fit range is correct to plot the model again
+        # check that the fit range is correct to plot the model again
         self.fitrange = True
-        ## Create memento to save the current state
+        # Create memento to save the current state
         self.state = PageState(parent=self.parent,
                                model=self.model, data=self.data)
-        ## flag to determine if state has change
+        # flag to determine if state has change
         self.state_change = False
-        ## save customized array
+        # save customized array
         self.values = {}   # type: Dict[str, List[float, ...]]
         self.weights = {}   # type: Dict[str, List[float, ...]]
-        ## retrieve saved state
+        # retrieve saved state
         self.number_saved_state = 0
-        ## dictionary of saved state
+        # dictionary of saved state
         self.saved_states = {}
-        ## Create context menu for page
+        # Create context menu for page
         self.popUpMenu = wx.Menu()
 
@@ -220,8 +221,8 @@
         self.popUpMenu.AppendSeparator()
 
-        ## Default locations
+        # Default locations
         self._default_save_location = os.getcwd()
-        ## save initial state on context menu
-        #self.onSave(event=None)
+        # save initial state on context menu
+        # self.onSave(event=None)
         self.Bind(wx.EVT_CONTEXT_MENU, self.onContextMenu)
 
@@ -229,10 +230,10 @@
         self.Bind(wx.EVT_LEFT_DOWN, self.on_left_down)
 
-        ## create the basic structure of the panel with empty sizer
+        # create the basic structure of the panel with empty sizer
         self.define_page_structure()
-        ## drawing Initial dispersion parameters sizer
+        # drawing Initial dispersion parameters sizer
         self.set_dispers_sizer()
 
-        ## layout
+        # layout
         self.set_layout()
 
@@ -260,8 +261,8 @@
                     self._create_default_1d_data()
 
-            if self.model != None:
+            if self.model is not None:
                 if not self.data.is_data:
-                    self._manager.page_finder[self.uid].set_fit_data(data=\
-                                                                [self.data])
+                    self._manager.page_finder[self.uid].set_fit_data(
+                        data=[self.data])
             self.on_smear_helper(update=True)
             self.state.enable_smearer = self.enable_smearer.GetValue()
@@ -325,5 +326,5 @@
         self.data.id = str(self.uid) + " data"
         self.data.group_id = str(self.uid) + " Model2D"
-        ## Default values
+        # Default values
         self.data.detector.append(Detector())
         index = len(self.data.detector) - 1
@@ -342,5 +343,5 @@
         x = numpy.linspace(start=xmin, stop=xmax, num=qstep, endpoint=True)
         y = numpy.linspace(start=ymin, stop=ymax, num=qstep, endpoint=True)
-        ## use data info instead
+        # use data info instead
         new_x = numpy.tile(x, (len(y), 1))
         new_y = numpy.tile(y, (len(x), 1))
@@ -383,11 +384,11 @@
         Update menu1 on cliking the page tap
         """
-        if self._manager.menu1 != None:
-            chain_menu = self._manager.menu1.FindItemById(\
+        if self._manager.menu1 is not None:
+            chain_menu = self._manager.menu1.FindItemById(
                                                    self._manager.id_reset_flag)
             chain_menu.Enable(self.batch_on)
             sim_menu = self._manager.menu1.FindItemById(self._manager.id_simfit)
             flag = self.data.is_data\
-                            and (self.model != None)
+                            and (self.model is not None)
             sim_menu.Enable(not self.batch_on and flag)
             batch_menu = \
@@ -530,5 +531,5 @@
         fill sizer containing dispersity info
         """
-        #print "==== entering set_dispers_sizer ==="
+        # print "==== entering set_dispers_sizer ==="
         self.sizer4.Clear(True)
         name = "Polydispersity and Orientational Distribution"
@@ -536,5 +537,5 @@
         box_description.SetForegroundColour(wx.BLUE)
         boxsizer1 = wx.StaticBoxSizer(box_description, wx.VERTICAL)
-        #----------------------------------------------------
+        # ----------------------------------------------------
         self.disable_disp = wx.RadioButton(self, wx.ID_ANY, 'Off', (10, 10),
                                            style=wx.RB_GROUP)
@@ -556,5 +557,5 @@
         self.Bind(wx.EVT_RADIOBUTTON, self._set_dipers_Param,
                   id=self.enable_disp.GetId())
-        #MAC needs SetValue
+        # MAC needs SetValue
         self.disable_disp.SetValue(True)
         sizer_dispersion = wx.BoxSizer(wx.HORIZONTAL)
@@ -568,5 +569,5 @@
         sizer_dispersion.Add(self.disp_help_bt)
 
-        ## fill a sizer for dispersion
+        # fill a sizer for dispersion
         boxsizer1.Add(sizer_dispersion, 0,
                       wx.TOP|wx.BOTTOM|wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE,
@@ -575,5 +576,5 @@
 
         boxsizer1.Add(self.sizer4_4)
-        #-----------------------------------------------------
+        # -----------------------------------------------------
         self.sizer4.Add(boxsizer1, 0, wx.EXPAND | wx.ALL, 10)
         self.sizer4_4.Layout()
@@ -582,5 +583,5 @@
 
         self.Refresh()
-        ## saving the state of enable dispersity button
+        # saving the state of enable dispersity button
         self.state.enable_disp = self.enable_disp.GetValue()
         self.state.disable_disp = self.disable_disp.GetValue()
@@ -592,5 +593,5 @@
         """
         menu = event.GetEventObject()
-        ## post help message for the selected model
+        # post help message for the selected model
         msg = menu.GetHelpString(event.GetId())
         msg += " reloaded"
@@ -599,9 +600,9 @@
         name = menu.GetLabel(event.GetId())
         self._on_select_model_helper()
-        if self.model != None:
+        if self.model is not None:
             self.m_name = self.model.name
         if name in self.saved_states.keys():
             previous_state = self.saved_states[name]
-            ## reset state of checkbox,textcrtl  and  regular parameters value
+            # reset state of checkbox,textcrtl  and  regular parameters value
 
             self.reset_page(previous_state)
@@ -626,5 +627,5 @@
         # Ask the user the location of the file to write to.
         path = None
-        if self.parent != None:
+        if self.parent is not None:
             self._default_save_location = \
                         self._manager.parent._default_save_location
@@ -636,5 +637,5 @@
             self._default_save_location = os.path.dirname(path)
             self._manager.parent._default_save_location = \
-                                self._default_save_location
+                self._default_save_location
         else:
             return None
@@ -643,5 +644,5 @@
         # Make sure the ext included in the file name
         fName = os.path.splitext(path)[0] + extens
-        #the manager write the state into file
+        # the manager write the state into file
         self._manager.save_fit_state(filepath=fName, fitstate=new_state)
         return new_state
@@ -651,5 +652,5 @@
         Copy Parameter values to the clipboad
         """
-        if event != None:
+        if event is not None:
             event.Skip()
         # It seems MAC needs wxCallAfter
@@ -667,5 +668,5 @@
         Paste Parameter values to the panel if possible
         """
-        #if event != None:
+        # if event is not None:
         #    event.Skip()
         # It seems MAC needs wxCallAfter for the setvalues
@@ -673,5 +674,5 @@
         wx.CallAfter(self.get_paste)
         # messages depending on the flag
-        #self._copy_info(True)
+        # self._copy_info(True)
 
     def _copy_info(self, flag):
@@ -682,5 +683,5 @@
         """
         # messages depending on the flag
-        if flag == None:
+        if flag is None:
             msg = " Parameter values are copied to the clipboard..."
             infor = 'warning'
@@ -710,5 +711,5 @@
         save history of the data and model
         """
-        if self.model == None:
+        if self.model is None:
             msg = "Can not bookmark; Please select Data and Model first..."
             wx.MessageBox(msg, 'Info')
@@ -716,8 +717,8 @@
         self.save_current_state()
         new_state = self.state.clone()
-        ##Add model state on context menu
+        # Add model state on context menu
         self.number_saved_state += 1
         current_time, current_date = self._get_time_stamp()
-        #name= self.model.name+"[%g]"%self.number_saved_state
+        # name= self.model.name+"[%g]"%self.number_saved_state
         name = "Fitting: %g]" % self.number_saved_state
         name += self.model.__class__.__name__
@@ -725,7 +726,7 @@
         self.saved_states[name] = new_state
 
-        ## Add item in the context menu
+        # Add item in the context menu
         msg = "Model saved at %s on %s" % (current_time, current_date)
-        ## post help message for the selected model
+        # post help message for the selected model
         msg += " Saved! right click on this page to retrieve this model"
         wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
@@ -761,5 +762,5 @@
         """
         try:
-            if path == None:
+            if path is None:
                 status = " Selected Distribution was not loaded: %s" % path
                 wx.PostEvent(self._manager.parent,
@@ -796,33 +797,33 @@
         Store current state
         """
-        ## save model option
-        if self.model != None:
+        # save model option
+        if self.model is not None:
             self.disp_list = self.model.getDispParamList()
             self.state.disp_list = copy.deepcopy(self.disp_list)
             self.state.model = self.model.clone()
 
-            #model combobox: complex code because of mac's silent error
-            if self.structurebox != None:
+            # model combobox: complex code because of mac's silent error
+            if self.structurebox is not None:
                 if self.structurebox.IsShown():
                     self.state.structurecombobox = 'None'
                     s_select = self.structurebox.GetSelection()
                     if s_select > 0:
-                        self.state.structurecombobox = self.structurebox.\
-                        GetString(s_select)
-            if self.formfactorbox != None:
+                        self.state.structurecombobox = \
+                            self.structurebox.GetString(s_select)
+            if self.formfactorbox is not None:
                 f_select = self.formfactorbox.GetSelection()
                 if f_select > 0:
-                    self.state.formfactorcombobox = self.formfactorbox.\
-                    GetString(f_select)
-        if self.categorybox != None:
+                    self.state.formfactorcombobox = \
+                        self.formfactorbox.GetString(f_select)
+        if self.categorybox is not None:
             cb_select = self.categorybox.GetSelection()
             if cb_select > 0:
-                self.state.categorycombobox = self.categorybox.\
-                GetString(cb_select)
+                self.state.categorycombobox = \
+                    self.categorybox.GetString(cb_select)
 
         self.state.enable2D = copy.deepcopy(self.enable2D)
         self.state.values = copy.deepcopy(self.values)
         self.state.weights = copy.deepcopy(self.weights)
-        ## save data
+        # save data
         self.state.data = copy.deepcopy(self.data)
         self.state.qmax_x = self.qmax_x
@@ -859,5 +860,5 @@
             self.state.values = copy.deepcopy(self.values)
             self.state.weights = copy.deepcopy(self.weights)
-        ## save plotting range
+        # save plotting range
         self._save_plotting_range()
 
@@ -869,5 +870,5 @@
         self.state.str_parameters = []
 
-        ## save checkbutton state and txtcrtl values
+        # save checkbutton state and txtcrtl values
         self._copy_parameters_state(self.str_parameters,
                                     self.state.str_parameters)
@@ -881,5 +882,5 @@
                                     self.state.fittable_param)
         self._copy_parameters_state(self.fixed_param, self.state.fixed_param)
-        #save chisqr
+        # save chisqr
         self.state.tcChi = self.tcChi.GetValue()
 
@@ -888,6 +889,6 @@
         Store current state for fit_page
         """
-        ## save model option
-        if self.model != None:
+        # save model option
+        if self.model is not None:
             self.disp_list = self.model.getDispParamList()
             self.state.disp_list = copy.deepcopy(self.disp_list)
@@ -897,5 +898,5 @@
         self.state.values = copy.deepcopy(self.values)
         self.state.weights = copy.deepcopy(self.weights)
-        ## save data
+        # save data
         self.state.data = copy.deepcopy(self.data)
 
@@ -918,10 +919,10 @@
         self.state.dI_sqrdata = copy.deepcopy(self.dI_sqrdata.GetValue())
         self.state.dI_idata = copy.deepcopy(self.dI_idata.GetValue())
-        if hasattr(self, "disp_box") and self.disp_box != None:
+        if hasattr(self, "disp_box") and self.disp_box is not None:
             self.state.disp_box = self.disp_box.GetCurrentSelection()
 
             if len(self.disp_cb_dict) > 0:
                 for k, v in self.disp_cb_dict.iteritems():
-                    if v == None:
+                    if v is None:
                         self.state.disp_cb_dict[k] = v
                     else:
@@ -937,8 +938,8 @@
             self.state.weights = copy.deepcopy(self.weights)
 
-        ## save plotting range
+        # save plotting range
         self._save_plotting_range()
 
-        ## save checkbutton state and txtcrtl values
+        # save checkbutton state and txtcrtl values
         self._copy_parameters_state(self.orientation_params,
                                     self.state.orientation_params)
@@ -959,5 +960,5 @@
             msg = "Please load Data and select Model to start..."
             wx.MessageBox(msg, 'Info')
-            return  True
+            return True
 
     def set_model_state(self, state):
@@ -968,7 +969,7 @@
         self.disp_list = state.disp_list
 
-        ## fill model combobox
+        # fill model combobox
         self._show_combox_helper()
-        #select the current model
+        # select the current model
         try:
             # to support older version
@@ -1009,8 +1010,8 @@
         self.structurebox.SetSelection(structfactor_pos)
 
-        if state.multi_factor != None:
+        if state.multi_factor is not None:
             self.multifactorbox.SetSelection(state.multi_factor)
 
-        ## reset state of checkbox,textcrtl  and  regular parameters value
+        # reset state of checkbox,textcrtl  and  regular parameters value
         self._reset_parameters_state(self.orientation_params_disp,
                                      state.orientation_params_disp)
@@ -1020,9 +1021,9 @@
                                      state.str_parameters)
         self._reset_parameters_state(self.parameters, state.parameters)
-        ## display dispersion info layer
+        # display dispersion info layer
         self.enable_disp.SetValue(state.enable_disp)
         self.disable_disp.SetValue(state.disable_disp)
 
-        if hasattr(self, "disp_box") and self.disp_box != None:
+        if hasattr(self, "disp_box") and self.disp_box is not None:
             self.disp_box.SetSelection(state.disp_box)
             n = self.disp_box.GetCurrentSelection()
@@ -1036,10 +1037,10 @@
 
                     if hasattr(self.disp_cb_dict[item], "SetValue"):
-                        self.disp_cb_dict[item].SetValue(\
+                        self.disp_cb_dict[item].SetValue(
                                                     state.disp_cb_dict[item])
                         # Create the dispersion objects
                         disp_model = POLYDISPERSITY_MODELS['array']()
                         if hasattr(state, "values") and \
-                                 self.disp_cb_dict[item].GetValue() == True:
+                                 self.disp_cb_dict[item].GetValue() is True:
                             if len(state.values) > 0:
                                 self.values = state.values
@@ -1052,5 +1053,5 @@
                         self._disp_obj_dict[item] = disp_model
                         # Set the new model as the dispersion object
-                        #for the selected parameter
+                        # for the selected parameter
                         self.model.set_dispersion(item, disp_model)
 
@@ -1062,12 +1063,12 @@
                 for item in keys:
                     if item in self.disp_list and \
-                        not item in self.model.details:
+                            item not in self.model.details:
                         self.model.details[item] = ["", None, None]
                 self.disp_cb_dict = copy.deepcopy(state.disp_cb_dict)
                 self.state.disp_cb_dict = copy.deepcopy(state.disp_cb_dict)
-        ## smearing info  restore
+        # smearing info  restore
         if hasattr(self, "enable_smearer"):
-            ## set smearing value whether or not the data
-            #contain the smearing info
+            # set smearing value whether or not the data
+            # contain the smearing info
             self.enable_smearer.SetValue(state.enable_smearer)
             self.disable_smearer.SetValue(state.disable_smearer)
@@ -1081,5 +1082,5 @@
         self.dI_idata.SetValue(state.dI_idata)
 
-        ## we have two more options for smearing
+        # we have two more options for smearing
         if self.pinhole_smearer.GetValue():
             self.onPinholeSmear(event=None)
@@ -1087,12 +1088,12 @@
             self.onSlitSmear(event=None)
 
-        ## reset state of checkbox,textcrtl  and dispersity parameters value
+        # reset state of checkbox,textcrtl  and dispersity parameters value
         self._reset_parameters_state(self.fittable_param, state.fittable_param)
         self._reset_parameters_state(self.fixed_param, state.fixed_param)
 
-        ## draw the model with previous parameters value
+        # draw the model with previous parameters value
         self._onparamEnter_helper()
         self.select_param(event=None)
-        #Save state_fit
+        # Save state_fit
         self.save_current_state_fit()
         self._lay_out()
@@ -1108,4 +1109,5 @@
                 if state.formfactorcombobox in list_item:
                     return self.categorybox.Items.index(key)
+        return 0
 
     def reset_page_helper(self, state):
@@ -1118,5 +1120,5 @@
             state of the graphic interface
         """
-        if state == None:
+        if state is None:
             return
         # set data, etc. from the state
@@ -1124,5 +1126,5 @@
         data = state.data
 
-        if data == None:
+        if data is None:
             data_min = state.qmin
             data_max = state.qmax
@@ -1148,14 +1150,16 @@
         self.disp_list = state.disp_list
 
-        ## fill model combobox
+        # fill model combobox
         self._show_combox_helper()
-        #select the current model
+        # select the current model
         try:
             # to support older version
             category_pos = int(state.categorycombobox)
         except:
-            state.formfactorcombobox = unicode(state.formfactorcombobox.lower())
+            state.formfactorcombobox = state.formfactorcombobox.lower()
+            state.formfactorcombobox = \
+                state.formfactorcombobox.replace('model', '')
+            state.formfactorcombobox = unicode(state.formfactorcombobox)
             state.categorycombobox = unicode(state.categorycombobox)
-            category_pos = 0
             if state.categorycombobox in self.categorybox.Items:
                 category_pos = self.categorybox.Items.index(
@@ -1180,4 +1184,5 @@
         self.formfactorbox.Select(formfactor_pos)
 
+        structfactor_pos = 0
         try:
             # to support older version
@@ -1185,9 +1190,8 @@
         except:
             if state.structurecombobox is not None:
-                structfactor_pos = 0
                 state.structurecombobox = unicode(state.structurecombobox)
                 for ind_struct in range(self.structurebox.GetCount()):
                     if self.structurebox.GetString(ind_struct) == \
-                                                        (state.structurecombobox):
+                                                    (state.structurecombobox):
                         structfactor_pos = int(ind_struct)
                         break
@@ -1195,12 +1199,12 @@
         self.structurebox.SetSelection(structfactor_pos)
 
-        if state.multi_factor != None:
+        if state.multi_factor is not None:
             self.multifactorbox.SetSelection(state.multi_factor)
 
-        #draw the panel according to the new model parameter
+        # draw the panel according to the new model parameter
         self._on_select_model(event=None)
 
         # take care of 2D button
-        if data == None and self.model_view.IsEnabled():
+        if data is None and self.model_view.IsEnabled():
             if self.enable2D:
                 self.model_view.SetLabel("2D Mode")
@@ -1208,5 +1212,5 @@
                 self.model_view.SetLabel("1D Mode")
 
-        ## reset state of checkbox,textcrtl  and  regular parameters value
+        # reset state of checkbox,textcrtl  and  regular parameters value
         self._reset_parameters_state(self.orientation_params_disp,
                                      state.orientation_params_disp)
@@ -1216,5 +1220,5 @@
                                      state.str_parameters)
         self._reset_parameters_state(self.parameters, state.parameters)
-        ## display dispersion info layer
+        # display dispersion info layer
         self.enable_disp.SetValue(state.enable_disp)
         self.disable_disp.SetValue(state.disable_disp)
@@ -1224,10 +1228,10 @@
             self._set_dipers_Param(event=None)
             self._reset_page_disp_helper(state)
-        ##plotting range restore
+        # plotting range restore
         self._reset_plotting_range(state)
-        ## smearing info  restore
+        # smearing info  restore
         if hasattr(self, "enable_smearer"):
-            ## set smearing value whether or not the data
-            #contain the smearing info
+            # set smearing value whether or not the data
+            # contain the smearing info
             self.enable_smearer.SetValue(state.enable_smearer)
             self.disable_smearer.SetValue(state.disable_smearer)
@@ -1247,11 +1251,11 @@
             self.dI_idata.SetValue(False)
 
-        ## we have two more options for smearing
+        # we have two more options for smearing
         if self.pinhole_smearer.GetValue():
             self.dx_min = state.dx_min
             self.dx_max = state.dx_max
-            if self.dx_min != None:
+            if self.dx_min is not None:
                 self.smear_pinhole_min.SetValue(str(self.dx_min))
-            if self.dx_max != None:
+            if self.dx_max is not None:
                 self.smear_pinhole_max.SetValue(str(self.dx_max))
             self.onPinholeSmear(event=None)
@@ -1259,7 +1263,7 @@
             self.dxl = state.dxl
             self.dxw = state.dxw
-            if self.dxl != None:
+            if self.dxl is not None:
                 self.smear_slit_height.SetValue(str(self.dxl))
-            if self.dxw != None:
+            if self.dxw is not None:
                 self.smear_slit_width.SetValue(str(self.dxw))
             else:
@@ -1267,16 +1271,16 @@
             self.onSlitSmear(event=None)
 
-        ## reset state of checkbox,textcrtl  and dispersity parameters value
+        # reset state of checkbox,textcrtl  and dispersity parameters value
         self._reset_parameters_state(self.fittable_param, state.fittable_param)
         self._reset_parameters_state(self.fixed_param, state.fixed_param)
 
-        ## draw the model with previous parameters value
+        # draw the model with previous parameters value
         self._onparamEnter_helper()
-        #reset the value of chisqr when not consistent with the value computed
+        # reset the value of chisqr when not consistent with the value computed
         self.tcChi.SetValue(str(self.state.tcChi))
-        ## reset context menu items
+        # reset context menu items
         self._reset_context_menu()
 
-        ## set the value of the current state to the state given as parameter
+        # set the value of the current state to the state given as parameter
         self.state = state.clone()
         self.state.m_name = self.m_name
@@ -1289,7 +1293,7 @@
         for item in keys:
             if item in self.disp_list and \
-                not item in self.model.details:
+                            item not in self.model.details:
                 self.model.details[item] = ["", None, None]
-        #for k,v in self.state.disp_cb_dict.iteritems():
+        # for k,v in self.state.disp_cb_dict.iteritems():
         self.disp_cb_dict = copy.deepcopy(state.disp_cb_dict)
         self.state.disp_cb_dict = copy.deepcopy(state.disp_cb_dict)
